//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"

#include "ExplodeRay.h"
#include "BigClockAtlas.h"
#include "MainAtlas.h"

//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 24, L"SmallFont")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 72, L"MedFont")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 128, L"BigFont")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"LeagueGothic-Regular.otf"), 256, L"BiggerFont")));
	registerSingleImage(shared_ptr<SingleImage>(new ExplodeRay()));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Die.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"DoubleMove.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Explode.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Gong.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Hit.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Move.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NewPlayer.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Shoot.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"WallDrop.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Winner.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"DieHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"DoubleMoveHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"ExplodeHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"GongHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"HitHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"MoveHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"NewPlayerHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"ShootHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"WallDropHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"WinnerHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"BulletHit.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"BulletHitHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Trackball.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"TrackballHi.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"Music.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"TimedPick.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"TimedPickHi.ogg"));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new BigClockAtlas()));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new MainAtlas()));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"BulletHit2.ogg"));
	registerSound(FilePath::getDataFilesDir().getChild(L"sounds").getChild(L"BulletHit2Hi.ogg"));
}
